<script setup lang="ts">
import { BoardApi, TheChessboard } from 'vue3-chessboard';
import 'vue3-chessboard/style.css';
import type { BoardConfig } from 'vue3-chessboard';

const emit = defineEmits<{
  (event: 'boardLoaded', value: BoardApi): void
}>()

const boardConfig: BoardConfig = {
  coordinates: true,
  autoCastle: false,
  // viewOnly: true
};

</script>

<template>
  <TheChessboard
    :board-config="boardConfig"
    @board-created="(api) => emit('boardLoaded', api)"
  />
</template>

<style lang="scss">
.main-wrap {
  width: 520px;
 @apply sm:max-w-[50vw];
}
</style>
